Subject: (IPng 7044) NS & RS with unspecified source address

From: Richard Draves <[email-masked]>
Date: Tue, 12 Jan 1999 03:11:16 -0800

A warning to other implementors - I just noticed that the validation rules
for Neighbor and Router Solicitations call for solicits with an unspecified
source address to be discarded if there is a source link-layer address
option in the message. This is a new check, introduced post-RFC1970.

Prior to my just fixing it, our stack was sending all solicitations with a
source link-layer address option, whether or not the source address was
unspecified, because it was easier to always put it in.

So this change in the spec has introduced interoperability problems.

Rich
--------------------------------------------------------------------
IETF IPng Working Group Mailing List
IPng Home Page:                      http://playground.sun.com/ipng
FTP archive:                      ftp://playground.sun.com/pub/ipng
Direct all administrative requests to [email-masked]
--------------------------------------------------------------------